Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002303Zandronum[All Projects] Suggestionpublic2015-06-11 19:222017-11-09 22:52
ReporterLeonard 
Assigned ToLeonard 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target VersionFixed in Version 
Summary0002303: Omit color codes in name's length limit.
Description
<Leonard> I was wondering and just to be sure
<Leonard> Did you closehttp://zandronum.com/tracker/view.php?id=1861 [^] because of the limit extending suggestion?
<Leonard> Because I think it's still a great idea to not count color codes but not increase the limit
<Dusk> i can't remember the details of the discussion that led into that decisoin
<Dusk> decision*
<Dusk> but i was recently thinking about something similar
<Leonard> Well "consider using a simpler color scheme" is not easy when using newtextcolors
<Leonard> Not to mention people can have long names (Dusk is 4 letters long so it's easy to consider a new scheme)
<Dusk> well yes of course
<Dusk> but netname is still a fixed size buffer that is sent over the network so there will always be a length limit
<Leonard> Didn't the userinfo_t struct change heavily when upgrading the zdoom base?
<Dusk> .. oh right
<Leonard> I read that userinfo.GetName() returns a pointer
<Dusk> a pointer to a cvar
.
.
.
<Leonard> So do you think I could make a ticket for this?
<Dusk> maybe? meh

Here is a link to the referenced ticket.

Since the new userinfo is in 3.0 I think this is doable.
I checked in the latest GZDoom and I can change my name to a very long length.
The only limit is when writing the DEM_UINFCHANGED command which zandronum doesn't even use and the name is cleaned/truncated before it's written in anyways.
MAXPLAYERNAME can also be set to be actually 32 since the "\c-" color code appended at the end won't be counted.
Attached Files

- Relationships
child of 0002268resolvedDusk rcon playerinfo doesnt update properly 

-  Notes
User avatar (0012653)
carpathia (reporter)
2015-06-11 20:10

THIS! How has it taken so long for someone to consider colour code not being counted towards name length...
User avatar (0014413)
Dusk (developer)
2016-02-10 14:52

This one is actually more difficult than in ZDoom since existing code inherited from Skulltag still uses fixed-size char arrays that rely on the length limit.

And in any case an absolute length limit must exist because this string gets sent over the network. What I guess we could do is set a fixed name length limit (say 24 chars for instance) and an absolute length limit of 3x that (72) for color codes that is harder to actually reach, even with longer form colors such as the ones provided by NewTextColors.pk3. The former limit would thus be the actual restricting name length and the 72 char limit as a technical maximum.
User avatar (0014415)
Leonard (developer)
2016-02-10 15:41
edited on: 2016-02-10 15:47

I totally forgot about this ticket.
I actually did this a few months ago but I forgot about it because I started working on other stuff.
Basically I did exactly what you said dusk, I had the MAXPLAYERNAME define be the actual character limit and a new define "MAXPLAYERNAMECHAR" which was the string limit.
I also realised the char arrays zandronum uses were problematic so I actually resized all of the ones that used the player's name in any way (by searching for each GetName() instance).
I'll attach the original patch I made if that helps but it may need some testing.

EDIT: Couldn't figure out how to attach on the tracker so here's a link.

User avatar (0014424)
Dusk (developer)
2016-02-11 17:41

Hmm, interesting. Though I wonder if we could instead expend the effort to using FStrings in the affected code.
User avatar (0014487)
Dusk (developer)
2016-02-23 22:37

You know what, let's just add it now

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/71 [^]
User avatar (0018848)
Leonard (developer)
2017-11-09 22:52

I'll revive this sometime in the near future.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: Leonard AOSP carpathia unknownna ZzZombo Fused Monsterovich Combinebobnt Klofkac Marcaek Korshun The Toxic Avenger djskaarj JC Tenton MaxRideWizardLord FascistCat Catastrophe Frits
Opponents: Argentum

- Issue History
Date Modified Username Field Change
2015-06-11 19:22 Leonard New Issue
2015-06-11 20:10 carpathia Note Added: 0012653
2015-06-12 15:12 Dusk Relationship added child of 0002268
2015-07-04 22:54 MaxRideWizardLord Note Added: 0012829
2015-07-05 00:39 Dusk Note Deleted: 0012829
2016-02-10 14:52 Dusk Note Added: 0014413
2016-02-10 15:41 Leonard Note Added: 0014415
2016-02-10 15:47 Leonard Note Edited: 0014415 View Revisions
2016-02-11 17:41 Dusk Note Added: 0014424
2016-02-23 22:37 Dusk Note Added: 0014487
2016-02-23 22:37 Dusk Assigned To => Dusk
2016-02-23 22:37 Dusk Status new => needs review
2017-11-09 22:52 Leonard Note Added: 0018848
2017-11-09 22:52 Leonard Assigned To Dusk => Leonard
2017-11-09 22:52 Leonard Status needs review => assigned






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker